# -*- encoding: utf-8 -*-
# stub: rgfa 1.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "rgfa"
  s.version = "1.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Giorgio Gonnella"]
  s.date = "2016-10-11"
  s.description = "    The Graphical Fragment Assembly (GFA) is a proposed format which allow\n    to describe the product of sequence assembly.\n    This gem implements the proposed specifications for the GFA format\n    described under https://github.com/pmelsted/GFA-spec/blob/master/GFA-spec.md\n    as close as possible.\n    The library allows to create an RGFA object from a file in the GFA format\n    or from scratch, to enumerate the graph elements (segments, links,\n    containments, paths and header lines), to traverse the graph (by\n    traversing all links outgoing from or incoming to a segment), to search for\n    elements (e.g. which links connect two segments) and to manipulate the\n    graph (e.g. to eliminate a link or a segment or to duplicate a segment\n    distributing the read counts evenly on the copies).\n"
  s.email = "gonnella@zbh.uni-hamburg.de"
  s.files = ["bin/gfadiff", "bin/rgfa-findcrisprs", "bin/rgfa-mergelinear", "bin/rgfa-simdebruijn", "lib/rgfa.rb", "lib/rgfa/byte_array.rb", "lib/rgfa/cigar.rb", "lib/rgfa/connectivity.rb", "lib/rgfa/containments.rb", "lib/rgfa/error.rb", "lib/rgfa/field_array.rb", "lib/rgfa/field_parser.rb", "lib/rgfa/field_validator.rb", "lib/rgfa/field_writer.rb", "lib/rgfa/headers.rb", "lib/rgfa/line.rb", "lib/rgfa/line/comment.rb", "lib/rgfa/line/containment.rb", "lib/rgfa/line/header.rb", "lib/rgfa/line/link.rb", "lib/rgfa/line/path.rb", "lib/rgfa/line/segment.rb", "lib/rgfa/linear_paths.rb", "lib/rgfa/lines.rb", "lib/rgfa/links.rb", "lib/rgfa/logger.rb", "lib/rgfa/multiplication.rb", "lib/rgfa/numeric_array.rb", "lib/rgfa/paths.rb", "lib/rgfa/rgl.rb", "lib/rgfa/segment_ends_path.rb", "lib/rgfa/segment_info.rb", "lib/rgfa/segments.rb", "lib/rgfa/sequence.rb", "lib/rgfatools.rb", "lib/rgfatools/artifacts.rb", "lib/rgfatools/copy_number.rb", "lib/rgfatools/invertible_segments.rb", "lib/rgfatools/linear_paths.rb", "lib/rgfatools/multiplication.rb", "lib/rgfatools/p_bubbles.rb", "lib/rgfatools/superfluous_links.rb"]
  s.homepage = "http://github.com/ggonnella/rgfa"
  s.licenses = ["CC-BY-SA"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0")
  s.rubygems_version = "2.5.1"
  s.summary = "Parse, edit and write GFA-format graphs in Ruby"
end
